Name:		converseen
Version:	0.9.2
Release:	%mkrel 1
License:	GPL
Group:		Graphics
URL:		http://sourceforge.net/projects/converseen/
Source:		%{name}-%{version}.tar.xz
Source2:	%{name}.png
Summary:	Image batch processing tool
Summary(de):	Grafik Batch Verarbeitungsprogramm
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	cmake
BuildRequires:	%{_lib}qt4-devel
BuildRequires:  %{_lib}magick-devel
Requires:	qt4-qtdbus
Requires:	qt4-qtconfig
Requires:	%{_lib}qt3support4
Requires: 	ImageMagick
Obsoletes: 	%{name} < %version


%description
Converseen is an open source software written in C++ with the powerful Qt4 libraries.

Thanks to the Magick++ image libraries it supports more than 100 image formats.
You can convert an unlimited number of images and / or create thumbnails
to any of the most popular formats: DPX, EXR, GIF, JPEG, JPEG-2000, PDF, PhotoCD, 
PNG, Postscript, SVG, and TIFF.

With Converseen you can save your time because it allows you to process more than one 
image with a mouse click!

Converseen is very simple: it features a very simple user interface without strange 
options.

With converseen you can:

- Carry out a single or a multiple conversion.
- Create one or multiple thumbnails.
- Create converted thumbnails.
- Compress images for your pages.

#german
%description -l de
Converseen ist eine Open-Source-Software, geschrieben in C++ mit den mächtigen 
Qt4 Bibliotheken.

Dank der Magick++ Bildbibliotheken unterstützt es mehr als 100 Bildformate.
Konvertiert werden kann eine unbegrenzte Anzahl von Bildern und/oder Thumbnails 
in den populärsten Formate wie: 
DPX, EXR, GIF, JPEG, JPEG-2000, PDF, PhotoCD, PNG, Postscript, SVG und TIFF.

Mit Converseen sparen Sie Zeit, da Sie mehr als ein Bild mit nur einem 
Mausklick konventieren können!

Converseen ist einfach gehalten: Es verfügt über eine sehr einfache Benutzeroberfläche 
ohne fremde Optionen.

Mit converseen können Sie:

- Einfache oder mehrfache Umwandlungen starten.
- Erstellen von einem oder mehrerer Vorschaubilder.
- Erstellen von umgewandelte Thumbnails.
- Bilder komprimieren für Ihre Seiten.


%prep

%setup -q -n %{name}-%{version}

%build

%cmake_qt4

%make

%install
pushd build
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
popd

mkdir -p %{buildroot}%{_iconsdir}
install -m 0644 %{SOURCE2} %{buildroot}%{_iconsdir}/%{name}.png

mkdir -p %{buildroot}%{_datadir}/applications
%__cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Type=Application
Name=Converseen
Name[de]=Converseen
Comment=Image batch processing tool
Comment[de]=Grafik Batch Verarbeitung
Encoding=UTF-8
Icon=%{name}.png
Exec=%{name}
Categories=Graphics;Utility;Core;GTK;Viewer;RasterGraphics;2DGraphics;Photography;X-MandrivaLinux-Multimedia-Graphics;
X-Desktop-File-Install-Version=0.3.1
EOF


%files
%defattr(-,root,root)
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/%{name}.png
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/converseen/*
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/kde4/services/ServiceMenus/converseen_import.desktop
%doc INSTALL


%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%changelog
* Sat May 30 2015 gseaman <galen.seaman at comcast.net> 0.9.2-1gseaman2015
- 0.9.2

* Tue Dec 16 2014 pinoc <vogtpet at gmail.com> 0.8.5-1pclos2014
- 0.8.5

* Wed Sep 03 2014 bb <bb> 0.8.3-1pclos2014
- update

